package org.jeecg.modules.bytedance.advertise.mapper;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.bytedance.advertise.entity.ByteDanceCreative;
import org.jeecg.modules.bytedance.advertise.entity.MediaSendAlarmRecord;

import java.util.List;

/**
 * @Description: 今日头条创意信息
 * @Author: jeecg-boot
 * @Date: 2019-07-22
 * @Version: V1.0
 */
public interface ByteDanceCreativeMapper extends BaseMapper<ByteDanceCreative> {

    void replaceBatch(@Param(value = "creatives") List<ByteDanceCreative> creatives);

    List<JSONObject> getBytedanceOcpxTypeList();

    void insertSendRecord(MediaSendAlarmRecord record);
}
